### Method

# Ide Test set_id

#### Declaration

    void
    ide_test_set_id (
      IdeTest* self,
      const gchar* id
    )

#### Description

Sets the `IdeTest:id` property.

The id property is used to uniquely identify the test.

Available since: | 3.32

Sets property | `Ide.Test:id`

#### Parameters

`id` | `const gchar*`
| The id of the test or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.